package domain

type AlibabaHmMarketingFullrangeQueryactivityRulestairs struct {
	/*
	   是否使用满元条件，不能与满件、N件Y折同时使用。此选项为true时，countAt和countBegin必须为false     */
	AmountAt *bool `json:"amount_at,omitempty" `

	/*
	   满多少元[单位为分，传入700，代表满7元]，amountAt为true时，必须设置     */
	Amount *int64 `json:"amount,omitempty" `

	/*
	   如果为换购活动，则代表此阶梯可换购的商品数量     */
	CanExtraItemNum *int64 `json:"can_extra_item_num,omitempty" `
}

func (s *AlibabaHmMarketingFullrangeQueryactivityRulestairs) SetAmountAt(v bool) *AlibabaHmMarketingFullrangeQueryactivityRulestairs {
	s.AmountAt = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryactivityRulestairs) SetAmount(v int64) *AlibabaHmMarketingFullrangeQueryactivityRulestairs {
	s.Amount = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryactivityRulestairs) SetCanExtraItemNum(v int64) *AlibabaHmMarketingFullrangeQueryactivityRulestairs {
	s.CanExtraItemNum = &v
	return s
}
